Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> PHP5 Conversion Issues From PHP4
Author Message
lzservers
New Member
New Member


Joined: Oct 27, 2008
Posts: 17

PostPosted: Mon Oct 27, 2008 1:24 pm Reply with quote

Im having a problem installing sommaire_parametrable_v3.0b1 and NukeTreasuryV1.1 so far i would like start by asking is there problem with compatibilities from RavenNuke_v2.30.00 to older versions of php.
proplem im having with sommaire is that i cant install languages. it is the first page of installing.


Last edited by lzservers on Sun Dec 21, 2008 9:10 pm; edited 2 times in total 
View user's profile Send private message
jakec
Site Admin


Joined: Feb 06, 2006
Posts: 3048
Location: United Kingdom

PostPosted: Mon Oct 27, 2008 1:45 pm Reply with quote

What version of PHP are you running?
 
View user's profile Send private message
jakec
PostPosted: Mon Oct 27, 2008 1:49 pm Reply with quote

When you say you can't install languages what do you actually mean?
 
lzservers
PostPosted: Mon Oct 27, 2008 2:43 pm Reply with quote

the verion of php is RavenNuke_v2.30.00. and its when i go to the first install screen and u check mark the languages your want the verions sommaire_parametrable_v3.0b1.
 
jakec
PostPosted: Mon Oct 27, 2008 2:51 pm Reply with quote

That isn't your PHP version. It should be either 4.x, or 5.x. Check in cPanel. Anyway I don't think that is your problem though.

What happens when you select the languages, any error messages etc. Turn on error reporting to check in the config.php file.

I don't use that menu system so I am not sure what the problem is. I think Montego has some experience of this so when he comes on hopefully he can help.
 
lzservers
PostPosted: Mon Oct 27, 2008 3:56 pm Reply with quote

ok got it its 5.2.6
 
jakec
PostPosted: Mon Oct 27, 2008 4:01 pm Reply with quote

Any errors displayed?
 
lzservers
PostPosted: Mon Oct 27, 2008 4:04 pm Reply with quote

error reporting is on now not seeing a error log so far even after trying installing it again. here is a link Only registered users can see links on this board! Get registered or login! it shows welcome but nothing under it. i just installed it yesterday on a 8.1 extreme php site and worked fine.

With help from a friend looks like we got past there, using this code its this code that was giving us the problem.
Code:
/* Installation script for Sommaire Paramétrable v3.0 by Only registered users can see links on this board! Get registered or login! */


require("config.php");
require("db/db.php");


by adding
Code:
define('INCLUDE_PATH','./');


Needed to be
Code:
/* Installation script for Sommaire Paramétrable v3.0 by Only registered users can see links on this board! Get registered or login! */

define('INCLUDE_PATH','./');
require("config.php");
require("db/db.php");


Now I have a problem with
Quote:
ERREUR #3 : The file admin/language/lang-english.php is not accessible!
This is probably caused by unsufficient write permissions (CHMOD).

You can modify file permission in directories /language/*.* and /admin/language/*.* : CHMOD 666 or 777, and launch again this install script.
Another solution is to modify manually this file. See the zip archive of Sommaire Paramétrable : /manual_install/readme.txt


i have this problem with a different website host but with lunarpages i dont have a problem at all. Even after changing the directory CHMOD 777 still will not install. And the tar i have has no manual code to install on a file.
 
Guardian2003
Site Admin


Joined: Aug 28, 2003
Posts: 6792
Location: Ha Noi, Viet Nam

PostPosted: Sat Feb 05, 2011 4:45 am Reply with quote

The script tries to write to the file, not create a new file (if I remember correctly) so you would need to chmod the language file so it is writable then change it back afterwards.
 
View user's profile Send private message Send e-mail
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> PHP5 Conversion Issues From PHP4

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©